from setuptools import find_packages, setup

package_name = 'joint_control'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
    ],
    install_requires=['setuptools'
                      'osc4py3'],
    zip_safe=True,
    maintainer='root',
    maintainer_email='root@todo.todo',
    description='TODO: Package description',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'joint_control = joint_control.joint_angles_server:main',
            'cart_coords = joint_control.cart_tcp_server:main',
            'trajectory_server = joint_control.trajectory_server:main',
            'trajectory_server_cart = joint_control.trajectory_server_cart:main',
        ],
    },
)
